%define debug_package %{nil}

Name:		jafat
Version:	1.1.6
Release:	2%{?dist}
Summary:	JAFAT is an assortment of tools to assist in the forensic investigation of computer systems.

Group:		Applications/File
License:	GPLv2+
URL:		http://jafat.sourceforge.net
Source0:	http://sourceforge.net/projects/jafat/files/cookie_cruncher/cookie_cruncher-v1.0/cookie_cruncher-v1.0.tar.gz
Source1:	http://sourceforge.net/projects/jafat/files/dumpster_dive/dumpster_dive-v1.0/dumpster_dive-1.0.tar.gz
Source2:	http://sourceforge.net/projects/jafat/files/lnk-parse/lnk-parse-1.0/lnk-parse-1.0.tar.gz
Source3:	http://jafat.sourceforge.net/UserAssist.pl
Source4:	http://jafat.sourceforge.net/UserAssist.README
Source5:	http://downloads.sourceforge.net/jafat/SFT-%{version}.zip
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:	perl
Requires:	perl(Parse::Win32Registry)

%description
JAFAT is an assortment of tools to assist in the forensic investigation of computer systems, the included tools are:
- cookie_cruncher.pl
- dumpster_dive.pl
- lnk-parse.pl
- UserAssist.pl
- Safari Forensic Tools suite

%prep
%setup -q -c
%setup -q -T -D -a 1
%setup -q -T -D -a 2
cp %{SOURCE3}  $RPM_BUILD_DIR/%{name}-%{version}/; chmod 755 $RPM_BUILD_DIR/%{name}-%{version}/UserAssist.pl
cp %{SOURCE4}  $RPM_BUILD_DIR/%{name}-%{version}/
%setup -q -T -D -a 5

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p cookie_cruncher.pl $RPM_BUILD_ROOT%{_bindir}/cookie_cruncher
cp -p dumpster_dive.pl $RPM_BUILD_ROOT%{_bindir}/dumpster_dive
cp -p lnk-parse-1.0/lnk-parse-1.0.pl $RPM_BUILD_ROOT%{_bindir}/lnk-parse
cp -p SFT-1.1.6/safari_icon/safari_icon.pl $RPM_BUILD_ROOT%{_bindir}/safari_icon
cp -p SFT-1.1.6/safari_wincache/safari_wincache.pl $RPM_BUILD_ROOT%{_bindir}/safari_wincache
cp -p UserAssist.pl $RPM_BUILD_ROOT%{_bindir}/UserAssist

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.cookie_cruncher README.dumpster_dive UserAssist.README lnk-parse-1.0/lnk-parse.README SFT-1.1.6/safari_icon/*README SFT-1.1.6/safari_wincache/safari_wincache.README
%attr(0755, root, root) %{_bindir}/*


%changelog
* Tue Nov 20 2012 Lawrence R. Rogers <lrr@cert.org> - 1.1.6-1
* Release 1.1.6-1
	Fixes a bug in safari_cookie_bin.pl

* Thu Jul 21 2011 Morgan Weetman <mweetman@redhat.com> - 1.0-1
* Release 1.0-1
	Initial package
